<?php

# we check is the site is configue correctly
$page['aff_configuration']="";
$page['L_configuration']=$lang['administration']['configuration'];
$page['L_configuration_text']=$lang['administration']['configuration_text'];


# the installation folder must be delete
$page['aff_end_installation']="";
if(file_exists(ROOT."/installation/index.php"))
{
 $page['aff_configuration']="1";
 $page['aff_end_installation']="1";
 $page['L_end_installation']=$lang['administration']['end_installation'];
}

# the script has been updated
$page['aff_maj']="";
if(VERSION_SITE > VERSION)
{
 $page['aff_configuration']="1";
 $page['aff_maj']="1";
 $page['L_maj']=$lang['administration']['update']; 
 $page['link_maj']=convert_url("installation/index.php?lg=".LANG."&r=maj");
 $page['L_mettre_a_day']=$lang['administration']['mettre_a_day']; 
}

# the site is not open
$page['aff_website_status']="";
if(SITE_OPEN==0)
{
 $page['aff_configuration']="1";
 $page['aff_website_status']="1";
 $page['link_website_status']=convert_url("index.php?r=".$lang['general']['idurl_admin']."&v1=configuration");
 $page['L_site_closed']=$lang['administration']['site_closed'];
 $page['L_change_configuration']=$lang['administration']['change_configuration'];
}


# there is no club registered
$page['aff_club_admin']="";
include_once(ROOT."/club/sql_club.php");
include_once(ROOT."/club/lg_club_".LANG.".php");
$sql_club=$sql['club']['select_club_nb'];
$sgbd = sql_connect();
$res_club = sql_query($sql_club);
$ligne_club = sql_fetch_array($res_club);
$nb_club = $ligne_club['nb'];
if($nb_club==0) {
 $page['aff_configuration']="1";
 $page['aff_club_admin']=1;
 $page['link_club']=convert_url("index.php?r=".$lang['general']['idurl_club']."&v1=form_club");
 $page['L_club_absent']=$lang['club']['E_club_not_found'];
 $page['L_add_club']=$lang['club']['add_club'];
}
sql_free_result($res_club);

# there is no competition registered
$page['aff_competition']="";
include_once(ROOT."/competition/sql_competition.php");
include_once(ROOT."/competition/lg_competition_".LANG.".php");
$sql_competition=$sql['competition']['select_competition_nb'];
$sgbd = sql_connect();
$res_competition = sql_query($sql_competition);
$ligne_competition = sql_fetch_array($res_competition);
$nb_competition = $ligne_competition['nb'];
if($nb_competition==0) {
 $page['aff_configuration']="1";
 $page['aff_competition']=1;
 $page['link_competition']=convert_url("index.php?r=".$lang['general']['idurl_competition']."&v1=form_competition");
 $page['L_competition_absent']=$lang['competition']['E_competition_not_found'];
 $page['L_add_competition']=$lang['competition']['add_competition'];
}
sql_free_result($res_competition);

# there is no team registered
$page['aff_team']="";
include_once(ROOT."/team/sql_team.php");
include_once(ROOT."/team/lg_team_".LANG.".php");
$var['condition']="";
$var['order']="";
$var['limit']="";
$sql_team=sql_replace($sql['team']['select_team_nb'],$var);
$sgbd = sql_connect();
$res_team = sql_query($sql_team);
$ligne_team = sql_fetch_array($res_team);
$nb_team = $ligne_team['nb'];
if($nb_team==0) {
 $page['aff_configuration']="1";
 $page['aff_team']=1;
 $page['link_team']=convert_url("index.php?r=".$lang['general']['idurl_team']."&v1=form_team");
 $page['L_team_absent']=$lang['team']['E_team_not_found'];
 $page['L_add_team']=$lang['team']['add_team'];
}
sql_free_result($res_team);

# there is no news registered
$page['aff_news']="";
include_once(ROOT."/news/sql_news.php");
include_once(ROOT."/news/lg_news_".LANG.".php");
$var['condition']="";
$var['order']="";
$var['limit']="";
$sql_news=sql_replace($sql['news']['select_nb_news'],$var);
$sgbd = sql_connect();
$res_news = sql_query($sql_news);
$ligne_news = sql_fetch_array($res_news);
$nb_news = $ligne_news['nb'];
if($nb_news==0) {
 $page['aff_configuration']="1";
 $page['aff_news']=1;
 $page['link_news']=convert_url("index.php?r=".$lang['general']['idurl_news']."&v1=form_news");
 $page['L_news_absent']=$lang['news']['E_news_not_found'];
 $page['L_add_news']=$lang['news']['add_news'];
}
sql_free_result($res_news);
sql_close($sgbd);


# on verifie que le site est ouvert au public


# season : we check that the last season is not over
$page['aff_season']=""; 
$var['date']=date("Y-m-d",time());
$sql_season=sql_replace($sql['competition']['select_season_date'],$var); 
$sgbd = sql_connect();
$res_season = sql_query($sql_season);
$ligne_season = sql_fetch_array($res_season);
$nb_season = sql_num_rows($res_season);
if($nb_season==0) {
 $page['aff_configuration']="1";
 $page['aff_season']=1;
 $page['link_season']=convert_url("index.php?r=".$lang['general']['idurl_competition']."&v1=season_list");
 $page['L_depassee_season']=$lang['competition']['E_over_season'];
 $page['L_add_season']=$lang['competition']['add_season'];
}
sql_free_result($res_season);
sql_close($sgbd);


/* Members conntected */
# to do

# list of the matches played but without any score
$page['aff_match']="";
include_once(ROOT."/match/sql_match.php");
include_once(ROOT."/match/lg_match_".LANG.".php");
include_once(ROOT."/match/tpl_match.php");
$var['condition']=" WHERE match_date < NOW() AND (match_score_home IS NULL OR match_score_visitor IS NULL) ";
$var['order']="";
$var['limit']="";
include(ROOT."/match/match_list.php");
$page['match']=$page['match'];
if($page['nb_match']>0) {
 $page['L_match']=$lang['match']['match'];
 $page['L_match_sans_score']=$lang['match']['E_empty_score'];
 $page['aff_match']="1";
}

# list of the members who want to activate their account
$page['aff_member']="";
include_once(ROOT."/member/sql_member.php");
include_once(ROOT."/member/lg_member_".LANG.".php");
include_once(ROOT."/member/tpl_member.php");
$var['condition']=" WHERE member_valid='-1' ";
$var['order']="";
$var['limit']="";
include(ROOT."/member/member_list.php");
$page['member']=$page['member'];
if($page['nb_member']>0) {
 $page['L_member']=$lang['member']['member'];
 $page['L_member_a_activer']=$lang['member']['member_a_activer'];
 $page['aff_member']="1";
}

# we check if there is some plugin available that need to be installed
$page['plugin']=array();
$page['aff_plugin']="";
$nb_plugin=sizeof($plugin);
$j=0;
for($i=0; $i< $nb_plugin; $i++)
{
 if($plugin[$i]['install']!=1 AND in_array(LANG,$plugin[$i]['lang'])) { 
  $page['plugin'][$j]['name']=$plugin[$i]['name'];
  $page['plugin'][$j]['link_install']=$plugin[$i]['link_install'];
  $page['plugin'][$j]['L_install']=$lang['administration']['plugin_install'];
  $j++;
  $page['aff_plugin']="1";
 }
}
$page['L_plugin']=$lang['administration']['plugin_list'];
$page['L_plugin_to_install']=$lang['administration']['plugin_to_install'];


# link
$page['link_admin']=convert_url("index.php?r=".$lang['general']['idurl_admin']."&v1=admin");
$page['link_configuration']=convert_url("index.php?r=".$lang['general']['idurl_admin']."&v1=configuration");

# text
$page['L_title']=$lang['administration']['home_administration'];
$page['L_admin']=$lang['administration']['administration'];
$page['L_welcome']=$lang['administration']['welcome'];
$page['L_configuration']=$lang['administration']['configuration'];
$page['L_parametre']=$lang['administration']['parametre'];

$page['meta_title']=$lang['administration']['administration'];

$page['template']=$tpl['administration']['home_admin'];

?>