<?php
/*
* phpMySport : website for team sport clubs and leagues
*
* Copyright (C) 2006 Jerome PLACE. All rights reserved.
*
* Email           : djayp [at] users.sourceforge.net
* Website         : http://phpmysport.sourceforge.net
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
*/

/* En rcursif */
function parse_template($tpl,$var)
{
 if(!file_exists($tpl))
 {
  die("Le fichier \"".$tpl."\"n'existe pas - cration du template impossible");
 }
 $ligne=file($tpl);

 return parse_html($ligne,$var);

}

function parse_html($code,$var)
{
 $bloc=array();
 $boucle=false;
 $option=false;
 $name_bloc="";
 $name="";
 $name_option="";
 $name_op=array();
 $nb_option=0;
 $html="";
 $affichage=true;

 $size_code=sizeof($code);

 for($i="0";$i<$size_code;$i++)
 {
  $affichage=true;
  // remplacement du path des images
  $code[$i]=eregi_replace("=\"(\.\.\/)*tpl_image/","=\"".ROOT_URL."/template/".TPL_DOSSIER."/tpl_image/",$code[$i]);
//  $code[$i]=eregi_replace("tpl_image/","".ROOT_URL."/template/".TPL_DOSSIER."/tpl_image/",$code[$i]);

  // si on trouve une boucle
  if($boucle==false AND preg_match("<!-- LOOP (\w+) -->",$code[$i],$name_bloc))
  {
    $name=$name_bloc['1'];
    $boucle=true;
    $nb=sizeof($var[$name]);
    $i++;
  }

   // on arrive  la end de la boucle
  if($boucle==true AND preg_match("<!-- END LOOP ".$name." -->",$code[$i]))
  {
    for($j="0";$j<$nb;$j++) // defini le number de bloc a afficher
    {
     $html.=parse_html($bloc[$name],$var[$name][$j]); // recursif
    }
    $boucle=false;
    $bloc=array();
    $affichage=false;
    $code[$i]="";
  }

  /* si on trouve du text optionnel */
  if(preg_match("<!-- OPTION (\w+) -->",$code[$i],$name_option))
  {
   if(isset($var[$name_option['1']]) AND (empty($var[$name_option['1']]) OR $var[$name_option['1']]==NULL))
   {
    array_push($name_op,$name_option['1']);
    $option=true;
	$nb_option++;	
   }
   $affichage=false;
  }
	
  if($option==true)
  {
   if(preg_match("<!-- END OPTION ".$name_op[$nb_option-1]." -->",$code[$i]))
   {
    $code[$i]="";   
	array_pop($name_op);
	$nb_option--;
	if($nb_option==0) { $option=false; }
   }
   $affichage=false;
  }

  // si on est dans une boucle, on enregistre le code dans un bloc
  if($boucle==true)
  {
   $bloc[$name][]=$code[$i];
   $affichage=false;
  }

  if($affichage==true)
  {
   $html.=preg_replace('/\{(\w+)\}/e','\$var[\'\\1\']',$code[$i]);
  }
 }
 return $html;
}

?>