<?php
##################################
# stats 
##################################

# variables
$page['L_message']="";
$page['form_action']=convert_url("index.php?r=".$lang['general']['idurl_match']."&v1=stats_list");
$nb_erreur="0";
$page['erreur']=array();
$page['stats']=array();

# form values
$page['value_id']="";
$page['value_name']="";
$page['value_ordre']="";
$page['value_abbreviation']="";
$page['value_code']="";
$page['value_formula']="";


# modification de l'ordre
if(isset($_GET['id']) AND isset($_GET['mode']) AND $_GET['mode']=="ordonner" AND isset($_GET['action']))
{
 /* on selectionne l'ordre correspondant  l'identifiant */
 $sql_ordre=sql_replace($sql['match']['select_stats_details'],$_GET);
 $sgbd = sql_connect();
 $res = sql_query($sql_ordre);

 if($res!=false)
 {
  $result = sql_fetch_array($res);
  $_GET['ordre']=$result['stats_order'];

  sql_free_result($res);

  /* on selectionne l'ordre le plus grand et le plus petit */
  $sql_max=$sql['match']['select_stats_order'];
  $res=sql_query($sql_max);
  $ordre=sql_fetch_array($res);
  sql_free_result($res);
  $max=$ordre['max'];
  $min=$ordre['min'];

   /* on verifie que l'on peut bien ordonner */
   $ordonner="";
   if($_GET['action']=="up" AND $_GET['ordre']!=$min)
   {
    $ordonner="ok";
    $_GET['ordre_nouveau']=$_GET['ordre'] - 1;
   }
   elseif($_GET['action']=="down" AND $_GET['ordre']!=$max)
   {
    $ordonner="ok";
    $_GET['ordre_nouveau']=$_GET['ordre'] + 1;
   }

   if($ordonner=="ok") /* on echange la ligne courrante avec la ligne ayant le meme ordre */
   {
    $sql_ordre_nouveau=sql_replace($sql['match']['edit_stats_order'],$_GET);

    sql_query($sql_ordre_nouveau);
    $sql_ordre=sql_replace($sql['match']['edit_stats_order_id'],$_GET);
    sql_query($sql_ordre);
   }
  sql_close($sgbd);
 }
 header("location:".$page['form_action']);
 exit;
}

# cas d'une suppression 
if(isset($_GET['v2']) AND isset($_GET['v3']) AND $_GET['v3']=="delete")
{
 $var['id']=$_GET['v2'];
 $sql_verif=sql_replace($sql['match']['verif_stats'],$var);
 $sql_sup=sql_replace($sql['match']['sup_stats'],$var);
 $sgbd = sql_connect();
 
 # verification
 if(sql_num_rows(sql_query($sql_verif))!="0") { $page['erreur'][$nb_erreur]['message']=$lang['match']['E_exist_stats_match']; $nb_erreur++; }
 
 if($nb_erreur==0)
 {
  if(sql_query($sql_sup) != false) { $page['L_message']=$lang['match']['form_stats_sup_1'];  }
  else { $page['L_message']=$lang['match']['form_stats_sup_0']; }
 }
 else { $page['L_message']=$lang['match']['form_stats_sup_0']; }
 sql_close($sgbd);
}

# case of add or edit
if(isset($_POST) AND !empty($_POST))
{
 # we format datas
 if(isset($_POST['name'])) $_POST['name']=format_txt($_POST['name']);
 if(isset($_POST['abbreviation'])) $_POST['abbreviation']=format_txt($_POST['abbreviation']);
 if(isset($_POST['code'])) $_POST['code']=format_txt($_POST['code']);
 if(isset($_POST['formula'])) $_POST['formula']=trim($_POST['formula']);

 # we check datas
 if(!isset($_POST['name']) OR empty($_POST['name'])) { $page['erreur'][$nb_erreur]['message']=$lang['match']['E_empty_stats_name']; $nb_erreur++; }
 else
 {
  # we check if it does not already exist
   $sgbd = sql_connect();
   $sql_verif = sql_replace($sql['match']['verif_presence_stats'],$_POST);
   $res_verif = sql_query($sql_verif);
   $nb_res = sql_num_rows($res_verif);
   sql_free_result($res_verif);
   sql_close($sgbd);
   if($nb_res!="0") { $page['erreur'][$nb_erreur]['message']=$lang['match']['E_exist_stats']; $nb_erreur++; }
 }
 
 if(!isset($_POST['abbreviation']) OR empty($_POST['abbreviation'])) { $page['erreur'][$nb_erreur]['message']=$lang['match']['E_empty_stats_abbreviation']; $nb_erreur++; } 
 if(!isset($_POST['code']) OR empty($_POST['code'])) { $page['erreur'][$nb_erreur]['message']=$lang['match']['E_empty_stats_code']; $nb_erreur++; } 
 if(isset($_POST['formula']) AND !check_formula($_POST['formula'])) { $page['erreur'][$nb_erreur]['message']=$lang['match']['E_invalid_stats_formula']; $nb_erreur++; } 


 # there is no error in submited datas
 if($nb_erreur==0)
 {
  # case : new item to add
  if(!isset($_POST['id']) OR empty($_POST['id']))
  {
   # on recupere l'ordre max
   $sql_ordre_max=$sql['match']['select_stats_order'];
   $sgbd = sql_connect();
   $res_ordre_max=sql_query($sql_ordre_max);
   $ligne_ordre_max=sql_fetch_array($res_ordre_max);
   $_POST['ordre']=$ligne_ordre_max['max']+1;
      
   $sql_add=sql_replace($sql['match']['insert_stats'],$_POST);

   if(sql_query($sql_add) != false) { $page['L_message']=$lang['match']['form_stats_add_1']; }
   else { $page['L_message']=$lang['match']['form_stats_add_0']; }
   sql_close($sgbd);
  }
  # case : item to modify
  else
  {
   $sql_modification=sql_replace($sql['match']['edit_stats'],$_POST);
   $sgbd = sql_connect();
   if(sql_query($sql_modification) != false) { $page['L_message']=$lang['match']['form_stats_edit_1']; }
   else { $page['L_message']=$lang['match']['form_stats_edit_0']; }
   sql_close($sgbd);
  }
 }
 else
 {
  # there is some errors: we show the datas again
  if(isset($_POST['id'])) $page['value_id']=$_POST['id'];
  if(isset($_POST['name'])) $page['value_name']=$_POST['name'];
  if(isset($_POST['ordre'])) $page['value_ordre']=$_POST['ordre'];
  if(isset($_POST['code'])) $page['value_code']=$_POST['code'];
  if(isset($_POST['abbreviation'])) $page['value_abbreviation']=$_POST['abbreviation'];
  if(isset($_POST['formula'])) $page['value_formula']=$_POST['formula'];
 }
}


if($page['value_formula']==1) { $page['choix_yes']="checked"; }
else  { $page['choix_no']="checked"; }

# listes des stats
$sql_liste=$sql['match']['select_stats'];
$sgbd = sql_connect();
$res_liste = sql_query($sql_liste);
$nb_ligne = sql_num_rows($res_liste);
$i="0";
while($ligne = sql_fetch_array($res_liste))
{
 $page['stats'][$i]['id']=$ligne['stats_id'];
 $page['stats'][$i]['name']=$ligne['stats_name']; 
 $page['stats'][$i]['abbreviation']=$ligne['stats_abbreviation'];
 $page['stats'][$i]['code']=$ligne['stats_code'];
 $page['stats'][$i]['formula']=$ligne['stats_formula'];
 
 if(isset($var['value_stats']) AND $var['value_stats']==$ligne['stats_id']) { $page['stats'][$i]['selected']="selected"; } else { $page['stats'][$i]['selected']=""; } 
 
 $page['stats'][$i]['form_action']=$page['form_action'];
 $page['stats'][$i]['link_modification']=convert_url("index.php?r=".$lang['general']['idurl_match']."&v1=form_stats&id=".$ligne['stats_id']);
  $page['stats'][$i]['link_suppression']=convert_url("index.php?r=".$lang['general']['idurl_match']."&v1=stats_list&v2=".$ligne['stats_id']."&v3=delete");
  $page['stats'][$i]['L_edit']=$lang['match']['edit'];
  $page['stats'][$i]['L_delete']=$lang['match']['delete'];
  
  # ordre
  $page['stats'][$i]['L_up']=$lang['match']['up'];
  $page['stats'][$i]['L_down']=$lang['match']['down'];
  $page['stats'][$i]['link_up']="";
  $page['stats'][$i]['link_down']="";

  if($i=="0")
  {
   $page['stats'][$i]['link_down']=convert_url("index.php?r=".$lang['general']['idurl_match']."&v1=stats_list&mode=ordonner&action=down&id=".$ligne['stats_id']);
  }
  elseif($i==$nb_ligne-1)
  {
   $page['stats'][$i]['link_up']=convert_url("index.php?r=".$lang['general']['idurl_match']."&v1=stats_list&mode=ordonner&action=up&id=".$ligne['stats_id']);  
  }
  else
  {
   $page['stats'][$i]['link_up']=convert_url("index.php?r=".$lang['general']['idurl_match']."&v1=stats_list&mode=ordonner&action=up&id=".$ligne['stats_id']);
   $page['stats'][$i]['link_down']=convert_url("index.php?r=".$lang['general']['idurl_match']."&v1=stats_list&mode=ordonner&action=down&id=".$ligne['stats_id']);
  }  
  
 $i++;
}
sql_free_result($res_liste);
sql_close($sgbd);


$page['L_title']=$lang['match']['stats_list'];
$page['L_liste']=$lang['match']['stats_list'];
$page['L_name']=$lang['match']['name'];
$page['L_abbreviation']=$lang['match']['abbreviation'];
$page['L_code']=$lang['match']['code'];
$page['L_type']=$lang['match']['type'];
$page['L_value']=$lang['match']['value'];
$page['L_formula']=$lang['match']['formula'];
$page['L_explication_formula']=$lang['match']['explication_formula'];
$page['L_add']=$lang['match']['add_stats'];
$page['L_submit']=$lang['match']['submit'];
$page['L_erreur']=$lang['general']['E_erreur'];
$page['L_field_required']=$lang['general']['field_required'];

$page['meta_title']=$lang['match']['stats_list'];
$page['template']=$tpl['match']['stats_list'];
?>