<?php
/*
* phpMySport : website for team sport clubs and leagues
*
* Copyright (C) 2006-2007 Jerome PLACE. All rights reserved.
*
* Email           : djayp [at] users.sourceforge.net
* Website         : http://phpmysport.sourceforge.net
* Version         : 1.2
* Last updtate    : 3 march 2007
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
*/


/****************************/
/* MENUS                    */
/****************************/
# links
$index['link_home']=convert_url("index.php");
$index['link_news']=convert_url("index.php?r=".$lang['general']['idurl_news']."&v1=news_list");
$index['link_information']=convert_url("index.php?r=".$lang['general']['idurl_information']);
$index['link_member_list']=convert_url("index.php?r=".$lang['general']['idurl_member']."&v1=member_list");
$index['link_list_player']=convert_url("index.php?r=".$lang['general']['idurl_team']."&v1=player_list");
$index['link_list_dirigeant']=convert_url("index.php?r=".$lang['general']['idurl_member']."&v1=manager_list");
$index['link_list_coach']=convert_url("index.php?r=".$lang['general']['idurl_team']."&v1=coach_list");
$index['link_match_list']=convert_url("index.php?r=".$lang['general']['idurl_match']."&v1=match_list");
$index['link_standings']=convert_url("index.php?r=".$lang['general']['idurl_match']."&v1=standings");
$index['link_stats_player']=convert_url("index.php?r=".$lang['general']['idurl_match']."&v1=stats_player");
$index['link_competition_list']=convert_url("index.php?r=".$lang['general']['idurl_competition']."&v1=competition_list");
$index['link_team_list']=convert_url("index.php?r=".$lang['general']['idurl_team']."&v1=team_list");
$index['link_statistics']=convert_url("index.php?r=".$lang['general']['idurl_match']."&v1=statistics");
$index['link_search_member']=convert_url("index.php?r=".$lang['general']['idurl_member']."&v1=search_member");
$index['link_club_list']=convert_url("index.php?r=".$lang['general']['idurl_club']);
$index['link_field_list']=convert_url("index.php?r=".$lang['general']['idurl_field']);
$index['link_forum_list']=convert_url("index.php?r=".$lang['general']['idurl_forum']);

# team of the club
$index['team']=array();
if(CLUB!=0) {
 if(!isset($_SESSION['menu_team'])) {
  $var['condition']="";
  $var['limit']="";
  $var['order']=" ORDER BY e.sex_id, ne.team_name_name ASC";
  include_once(ROOT."/team/sql_team.php");
  include_once(ROOT."/team/tpl_team.php");
  include_once(ROOT."/team/lg_team_".LANG.".php");
  include(ROOT."/team/team_list.php");
  $_SESSION['menu_team']=$page['team'];
 }
 $index['team']=$_SESSION['menu_team'];
}

#  information pages list
$index['information']=array();
if(!isset($_SESSION['menu_information'])) {
  $var['condition']="";
  $var['limit']="";
  $var['order']="";
  include_once(ROOT."/information/sql_information.php");
  include_once(ROOT."/information/tpl_information.php");
  include_once(ROOT."/information/lg_information_".LANG.".php");
  include(ROOT."/information/page_list.php");
  $_SESSION['menu_information']=$page['page'];
}
$index['information']=$_SESSION['menu_information'];

# forums list
$index['forum']=array();
if(!isset($_SESSION['menu_forum'])) {
  $var['condition']="";
  $var['limit']="";
  $var['order']="";
  include_once(ROOT."/forum/sql_forum.php");
  include_once(ROOT."/forum/tpl_forum.php");
  include_once(ROOT."/forum/lg_forum_".LANG.".php");
  include(ROOT."/forum/forum_list.php");
  $_SESSION['menu_forum']=$page['forum'];
}
$index['forum']=$_SESSION['menu_forum'];

# competition list
$index['competition']=array();
if(!isset($_SESSION['menu_competition'])) {
  $var['condition']="";
  $var['limit']="";
  $var['order']="";
  include_once(ROOT."/competition/sql_competition.php");
  include_once(ROOT."/competition/tpl_competition.php");
  include_once(ROOT."/competition/lg_competition_".LANG.".php");
  include(ROOT."/competition/competition_list.php");
  $_SESSION['menu_competition']=$page['competition'];
}
$index['competition']=$_SESSION['menu_competition'];



# plugins
$index['plugin']=array();
$nb_plugin=sizeof($plugin);
$j=0;
for($i=0; $i< $nb_plugin; $i++)
{
 if($plugin[$i]['active']==1) { 
  $index['plugin'][$j]['name']=$plugin[$i]['name'];
  $index['plugin'][$j]['link']=$plugin[$i]['link'];
  $index['plugin'][$j]['class']=$plugin[$i]['class'];
  $j++;
 }
}

#text
$index['L_home']=$lang['general']['home'];
$index['L_news']=$lang['general']['news'];
$index['L_information']=$lang['general']['information'];
$index['L_member']=$lang['general']['member'];
$index['L_member_list']=$lang['general']['member_list'];
$index['L_player_list']=$lang['general']['player_list'];
$index['L_manager_list']=$lang['general']['manager_list'];
$index['L_coach_list']=$lang['general']['coach_list'];
$index['L_referee_list']=$lang['general']['referee_list'];
$index['L_match']=$lang['general']['match'];
$index['L_match_list']=$lang['general']['match_list'];
$index['L_standings']=$lang['general']['standings'];
$index['L_stats_player']=$lang['general']['stats_player'];
$index['L_competition_list']=$lang['general']['competition_list'];
$index['L_team_list']=$lang['general']['team_list'];
$index['L_statistics']=$lang['general']['statistics'];
$index['L_search_member']=$lang['general']['search_member'];
$index['L_club_list']=$lang['general']['club_list'];
$index['L_view_club']=$lang['general']['view_club'];
$index['L_field_list']=$lang['general']['field_list'];
$index['L_forum_list']=$lang['general']['forum_list'];

# mode club
$index['link_view_club']="";
$index['class_view_club']="";

if(CLUB!=0){
 $index['link_view_club']=convert_url("index.php?r=".$lang['general']['idurl_club']."&v1=view&v2=".CLUB);
 $index['L_club_list']=$lang['general']['club_opponent_list'];  
 $index['L_information']=$lang['general']['club'];
 
 if(isset($_GET['r']) AND $_GET['r']==$lang['general']['idurl_club'] AND isset($_GET['v2']) AND $_GET['v2']==CLUB) 
 { 
  $index['class_information']="on";
  $index['class_club']="";
 }
}
?>