<?php
/*******************************************************************/
/* ADMINISTRATION */
/*******************************************************************/

#################################
# administration
#################################
# divers
$lang['administration']['administration']="Administration";
$lang['administration']['administration_zone']="Administration zone";
$lang['administration']['parametre']="Configuration";
$lang['administration']['home_administration']="Dashboard";
$lang['administration']['welcome']="Welcome to the administration zone. You can now manage all the website's datas (matches, news, members, etc.) with the different forms accessible from the administration menu.
This dashboard tells you what you need to do : add the score if a match is over, items to update, etc... So come here regularly !";
$lang['administration']['configuration']="Website configuration";
$lang['administration']['configuration_text']="The website configuration is apparently not over. Please check that all needed information have been entered : ";
$lang['administration']['change_configuration']="Change the website configuration";
$lang['administration']['end_installation']="Warning, for security reasons you need to delete the installation folder to make the website work properly. One deleted, just refresh this page.";
$lang['administration']['update']="Une mise  day du site est en cours.";
$lang['administration']['mettre_a_day']="Begin the update";

# configuration
$lang['administration']['information_site']="Website information";
$lang['administration']['title']="Website title";
$lang['administration']['url']="Web address (url)";
$lang['administration']['root']="Root path";
$lang['administration']['email']="Webmaster email";
$lang['administration']['information_base']="Server and database information";
$lang['administration']['host']="Host";
$lang['administration']['user']="User name";
$lang['administration']['password']="Password";
$lang['administration']['base']="Database name";
$lang['administration']['information_sport']="Sport information";
$lang['administration']['nb_player']="Maximum number of player in a team";
$lang['administration']['info_url']="no / at the end";
$lang['administration']['url_rewrite']="Activate url rewriting"; 
$lang['administration']['info_url_rewrite']="Simplified URL (URL rewriting) lake long url user friendly. For example, the url http://www.mysite.com/index.php?lg=en&r=news&v1=page1 will become  http://www.mysite.com/en/news/page1.html. Apache rewrite mod must be on.";
$lang['administration']['website_status']="Website status"; 
$lang['administration']['site_open']="The website is open";
$lang['administration']['site_closed']="The website is in construction. It is close to visitors and only the webmaster is allowed to access the member section.";
$lang['administration']['language']="Language"; // new 1.2
$lang['administration']['template']="Design"; // new 1.2
$lang['administration']['avatar_folder']="Avatars directory"; // new 1.2
$lang['administration']['info_avatar_folder']="Select the folder where users could choose an avatar (An avatar is a graphical representation of an Internet user). If the directory has sub-directory, users will then be able to open them."; // new 1.2

$lang['administration']['example']="Ex.";
$lang['administration']['example_title']="My sport club";
$lang['administration']['example_url']="http://www.mysite.com";
$lang['administration']['example_email']="contact@mysite.com";
$lang['administration']['example_root']="/var/www/mysite";
$lang['administration']['example_user']="root";
$lang['administration']['example_host']="localhost";
$lang['administration']['example_base']="mybase";

$lang['administration']['configuration_ok']="Item successfully modified";

# error
$lang['administration']['E_creation_conf']="An error occurs while editing the parameters";

$lang['administration']['E_empty_title']="Please enter a title";
$lang['administration']['E_empty_url']="Please enter the website address (url)";
$lang['administration']['E_invalid_url']="The url is invalid. Please check that your website is available at this address";
$lang['administration']['E_empty_root']="Please enter the root path";
$lang['administration']['E_invalid_root']="The root path is invalid. Please check that your website files are present in the indicated forder";
$lang['administration']['E_invalid_email']="The email address is invalid";
$lang['administration']['E_empty_host']="Please enter a host name";
$lang['administration']['E_empty_user_base']="Please enter a database user name";
$lang['administration']['E_empty_name_base']="Please enter a database name";
$lang['administration']['E_invalid_connection_base']="The connection to MySQL server failed. Please check your information";
$lang['administration']['E_invalid_selection_base']="The selection of database failed. Please check your database name";

# plugin 
$lang['administration']['plugin']="Plugin";
$lang['administration']['plugin_list']="Plugins";
$lang['administration']['plugin_to_install']="Some plugins have not yet been installed";
$lang['administration']['plugin_install']="install this plugin";



#################################
# commun
#################################
# divers
$lang['administration']['erreur']="Warning there is an/some error(s)";
$lang['administration']['submit']="Submit";
$lang['administration']['yes']="Yes";
$lang['administration']['no']="No";

?>