<?php
##################################
# forum 
##################################

# variables
$page['L_message_forum']="";
$nb_erreur="0";
$page['erreur']=array();

# form values
$page['value_id']="";
$page['value_idurl']="";
$page['value_name']="";
//$page['value_lang']="";
$page['value_description']="";
$page['value_status']="";

# si l'identifiant du club est passe dans l'url (modification), on le recupere
if(isset($_GET['id']) AND $_GET['id']!="") {  $page['value_id']=$_GET['id']; }
elseif(isset($_POST['id']) AND $_POST['id']!="") { $page['value_id']=$_POST['id']; }



# case of add or edit
if(isset($_POST) AND !empty($_POST))
{
 # we format datas
 $_POST['idurl']=format_txt($_POST['idurl']);
 $_POST['name']=format_txt($_POST['name']);
 $_POST['description']=format_txt($_POST['description']);
  
 # we check datas
 if(!isset($_POST['name']) OR $_POST['name']=="") { $page['erreur'][$nb_erreur]['message']=$lang['forum']['E_empty_name']; $nb_erreur++; }
 if(!isset($_POST['idurl']) OR $_POST['idurl']=="") { $page['erreur'][$nb_erreur]['message']=$lang['forum']['E_empty_idurl']; $nb_erreur++; }
 else # we check if it does not already exist
 {
   $sgbd = sql_connect();
   $sql_verif_forum = sql_replace($sql['forum']['verif_forum'],$_POST);
   $res = sql_query($sql_verif_forum);
   $nb_res = sql_num_rows($res);
   sql_free_result($res);
   sql_close($sgbd);
   if($nb_res!="0") { $page['erreur'][$nb_erreur]['message']=$lang['forum']['E_exist_forum']; $nb_erreur++; }
 }

 $_POST['member']=$_SESSION['session_member_id'];

 # there is no error in submited datas
 if($nb_erreur==0)
 {
  # case : new item to add
  if(empty($_POST['id']))
  {
   $sgbd = sql_connect();
   $sql_add = sql_replace($sql['forum']['insert_forum'],$_POST);
   if(sql_query($sql_add)) { $page['L_message_forum']=$lang['forum']['form_forum_add_1']; }
   else { $page['L_message_forum']=$lang['forum']['form_forum_add_0']; }
   $page['value_id']=sql_insert_id($sgbd);
   sql_close($sgbd);
  }
  # cas d'une mise a day
  else
  {
   $sql_edit=sql_replace($sql['forum']['edit_forum'],$_POST);
   $sgbd = sql_connect();
   if(sql_query($sql_edit)) { $page['L_message_forum']=$lang['forum']['form_forum_edit_1']; }
   else { $page['L_message_forum']=$lang['forum']['form_forum_edit_0']; }
   sql_close($sgbd);
  }
 }
 else
 {
  # il y a des erreurs : on reaffiche les donnee
  $page['value_id']=$_POST['id'];
  $page['value_name']=$_POST['name'];
  $page['value_idurl']=$_POST['idurl'];
  $page['value_description']=$_POST['description'];
 }
}


# if the ID is known, we get the datas to show them in the form
if(isset($page['value_id']) AND $page['value_id']!="" AND $nb_erreur==0)
{
 $var['id']=$page['value_id'];
 $sql_details=sql_replace($sql['forum']['select_forum_details'],$var);

 $sgbd = sql_connect();
 $res = sql_query($sql_details);
 $ligne = sql_fetch_array($res);
 sql_free_result($res);
 sql_close($sgbd);

 $page['value_name']=$ligne['forum_name'];
 $page['value_idurl']=$ligne['forum_idurl'];
 $page['value_description']=$ligne['forum_description'];
 $page['value_status']=$ligne['forum_status'];
}


# status
$page['status']=array();
$page['status']['0']['id']="0";
$page['status']['0']['name']=$lang['forum']['status_0'];
$page['status']['0']['info']=$lang['forum']['status_public_info'];
$page['status']['0']['checked']="";
$page['status']['1']['id']="1";
$page['status']['1']['name']=$lang['forum']['status_1'];
$page['status']['1']['info']=$lang['forum']['status_member_info'];
$page['status']['1']['checked']="";
$page['status']['2']['id']="2";
$page['status']['2']['name']=$lang['forum']['status_2'];
$page['status']['2']['info']=$lang['forum']['status_admin_info'];
$page['status']['2']['checked']="";
$page['status']['3']['id']="-1";
$page['status']['3']['name']=$lang['forum']['status_-1'];
$page['status']['3']['info']=$lang['forum']['status_closed_info'];
$page['status']['3']['checked']="";

switch($page['value_status']) {
 case "0" : $page['status']['0']['checked']="checked"; break;
 case "1" : $page['status']['1']['checked']="checked"; break;
 case "2" : $page['status']['2']['checked']="checked"; break;
 case "-1" : $page['status']['3']['checked']="checked"; break;
 default : $page['status']['0']['checked']="checked";
}

# links
$page['form_action']=convert_url("index.php?r=".$lang['general']['idurl_forum']."&v1=form_forum&id=".$page['value_id']);
if(ADMIN==1 AND !empty($page['value_id']))
{
 $page['link_delete']=convert_url("index.php?r=".$lang['general']['idurl_forum']."&v1=forum_list&mode=delete&id=".$page['value_id']);
}
else
{
 $page['link_delete']="";
}

$page['link_list']=convert_url("index.php?r=".$lang['general']['idurl_forum']."&v1=forum_list");

# elements de text
if(empty($page['value_id'])) { $page['L_title']=$lang['forum']['form_forum_add']; }
else { $page['L_title']=$lang['forum']['form_forum_edit']; }
$page['L_valider']=$lang['forum']['submit'];
$page['L_delete']=$lang['forum']['delete'];
$page['L_back_list']=$lang['forum']['back_forum_list']; 
$page['L_erreur']=$lang['general']['E_erreur'];
$page['L_field_required']=$lang['general']['field_required'];

$page['L_idurl']=$lang['forum']['idurl'];
$page['L_name']=$lang['forum']['name'];
$page['L_idurl_auto']=$lang['forum']['idurl_auto'];
$page['L_description']=$lang['forum']['description'];
$page['L_status']=$lang['forum']['status'];
 
$page['meta_title']=$page['L_title'];
$page['template']=$tpl['forum']['form_forum'];
?>


