<?php
/*
* phpMySport : website for team sport clubs and leagues
*
* Copyright (C) 2006-2007 Jerome PLACE. All rights reserved.
*
* Email           : djayp [at] users.sourceforge.net
* Website         : http://phpmysport.sourceforge.net
* Version         : 1.2
* Last updtate    : 3 march 2007
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
*/


/************************/
/* Last news            */
/************************/
$var['condition']="";
$var['limit']=" LIMIT 0,3 ";
$var['order']=" ORDER BY news_release DESC ";

$page['news']=array();
include_once(ROOT."/news/sql_news.php");
include_once(ROOT."/news/tpl_news.php");
include_once(ROOT."/news/lg_news_".LANG.".php");

include(ROOT."/news/news_list.php");
$page['last_news']=$page['news'];
$page['L_news']=$lang['news']['home_news'];
$page['L_last_news']=$lang['news']['last_news'];
$page['L_view_news_list']=$lang['news']['view_list'];
$page['link_news']=convert_url("index.php?r=".$lang['general']['idurl_news']."&v1=news_list");
$page['L_message_last_news']=$page['L_message_news'];

/************************/
/* information          */
/************************/
$var['condition']="";
$var['limit']=" ";
$var['order']=" ORDER BY page_order DESC ";

$page['information']=array();
include_once(ROOT."/information/sql_information.php");
include_once(ROOT."/information/tpl_information.php");
include_once(ROOT."/information/lg_information_".LANG.".php");

include(ROOT."/information/page_list.php");
$page['information']=$page['page'];
$page['L_information']=$lang['information']['information_home'];


# Next matches list
include_once(ROOT."/match/sql_match.php");
include_once(ROOT."/match/lg_match_".LANG.".php");
include_once(ROOT."/match/tpl_match.php");
$var['condition']=" WHERE m.match_date >= NOW() ";
$var['order']=" ORDER BY m.match_date ASC ";
$var['limit']=" LIMIT 5 ";
include(ROOT."/match/match_list.php");
$page['next_matches']=$page['match'];
$page['L_message_next_matches']=$page['L_message_match'];

# Last matches list
include_once(ROOT."/match/sql_match.php");
include_once(ROOT."/match/lg_match_".LANG.".php");
include_once(ROOT."/match/tpl_match.php");
$var['condition']=" WHERE m.match_date < NOW() AND m.match_score_visitor IS NOT NULL ";
$var['order']=" ORDER BY m.match_date DESC ";
$var['limit']=" LIMIT 5 ";
include(ROOT."/match/match_list.php");
$page['last_matches']=$page['match'];
$page['L_message_last_matches']=$page['L_message_match'];

$page['L_match']=$lang['match']['match'];
$page['L_match_home']=$lang['match']['home'];
$page['L_match_visitor']=$lang['match']['visitor'];
$page['L_next_matches']=$lang['match']['next_matches'];
$page['L_last_matches']=$lang['match']['last_matches'];

$page['L_view_match_list']=$lang['match']['view_list'];
$page['link_match']=convert_url("index.php?r=".$lang['general']['idurl_match']."&v1=match_list");


$page['title']=$lang['general']['home'];

$page['meta_title']=$lang['general']['home'];
$page['template']=$tpl['general']['home'];

?>